## handdetect handdetect |

## Properties

gint | ROI-HEIGHT | Read / Write
gint | ROI-WIDTH | Read / Write
gint | ROI-X | Read / Write
gint | ROI-Y | Read / Write
gboolean | display | Read / Write
gchar * | profile-fist | Read / Write
gchar * | profile-palm | Read / Write

## Types and Values

struct | GstHanddetect

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstOpencvVideoFilter
                                ╰── GstHanddetect

## Implemented Interfaces

GstHanddetect implements GstNavigation.

## Description

## Synopsis

### Element Information

plugin | opencv
author | Andol Li <andol@andol.info>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string)RGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string)RGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstHanddetect

    struct GstHanddetect;

## Property Details

### The `“ROI-HEIGHT”` property

      “ROI-HEIGHT”               gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“ROI-WIDTH”` property

      “ROI-WIDTH”                gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“ROI-X”` property

      “ROI-X”                    gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“ROI-Y”` property

      “ROI-Y”                    gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“display”` property

      “display”                  gboolean

Whether the detected hands are highlighted in output frame.

Flags: Read / Write

Default value: TRUE

### The `“profile-fist”` property

      “profile-fist”             gchar *

Location of HAAR cascade file (fist gesture).

Flags: Read / Write

Default value: "/usr/local/share/gst-plugins-bad/1.0/opencv_haarcascades/fist.xml"

### The `“profile-palm”` property

      “profile-palm”             gchar *

Location of HAAR cascade file (palm gesture).

Flags: Read / Write

Default value: "/usr/local/share/gst-plugins-bad/1.0/opencv_haarcascades/palm.xml"